Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now
ChargebeeAPI

Ingest usage events in batch

Batch

This endpoint ingests a batch of usage events into Chargebee.

Note : - You can ingest 500 events in a batch ingestion, each 1 KB in size. This means a single API request will efficiently handle 500 KB of data.

  • Limit: 10,000 events per minute.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].ingest.chargebee.com/api/v2/batch/usage_events

Input Parameters

events
Parameters for events. Multiple events can be passed by specifying unique indices.
pass parameters as events[{<param name> : <value>,<param name> : <value> ...}]

Returns

batch_id
required, string, max chars=36

The unique identifier for the batch of usage events processed.

failed_events
always returned

A detailed list of events that failed during the batch ingestion process.